﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Dashboard.Drawing
{
    public interface IParameterSerializer<T>
    { 
        int Serialize(DrawQueue queue, Span<byte> bytes);
        void Deserialize(DrawQueue queue, ReadOnlySpan<byte> bytes);
    }
}
