﻿using Dashboard.Drawing;
using System.Diagnostics;
using System.Drawing;
using System.Numerics;

DrawQueue queue = new DrawQueue();

SolidBrush fg = new SolidBrush(Color.Black);
SolidBrush bg = new SolidBrush(Color.White);

queue.Point(Vector3.Zero, 2f, fg);
queue.Line(Vector3.Zero, Vector3.One * 2, 2f, bg);
queue.Rect(Vector3.UnitX, 2 * Vector3.UnitX + Vector3.UnitY, fg, bg, 2f);

foreach (ICommandFrame frame in queue)
{
    Console.WriteLine("{0}", frame.Command.Name);

    if (frame.HasParameters)
        Console.WriteLine("Param: {0}", frame.GetParameter());
}

Debugger.Break();
